<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: DevInfo1VICOType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00066.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">DevInfo1VICOType Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>VICO DevInfo1 structure used in <a class="el" href="a00002.html#aa99fc98d9f24eee8c14491e364ca0f99" title="Returns VICO MCU firmware version.">devInfo1VICO()</a>.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00008_source.html">types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aa59f05daae7915ec0af8e53a010b4a86" id="r_aa59f05daae7915ec0af8e53a010b4a86"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a3af313c104055b0c5e56145e6ef2d14f">UInt8Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa59f05daae7915ec0af8e53a010b4a86">smj</a></td></tr>
<tr class="memdesc:aa59f05daae7915ec0af8e53a010b4a86"><td class="mdescLeft">&#160;</td><td class="mdescRight">The software-major version number of the MCU firmware.  <br /></td></tr>
<tr class="separator:aa59f05daae7915ec0af8e53a010b4a86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa02034bb3372125510fa70ad29dd800a" id="r_aa02034bb3372125510fa70ad29dd800a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a3af313c104055b0c5e56145e6ef2d14f">UInt8Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aa02034bb3372125510fa70ad29dd800a">smi</a></td></tr>
<tr class="memdesc:aa02034bb3372125510fa70ad29dd800a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The software-minor version number of the MCU firmware.  <br /></td></tr>
<tr class="separator:aa02034bb3372125510fa70ad29dd800a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae66c989373386b5a88249d866a84062" id="r_aae66c989373386b5a88249d866a84062"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a3af313c104055b0c5e56145e6ef2d14f">UInt8Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aae66c989373386b5a88249d866a84062">sms</a></td></tr>
<tr class="memdesc:aae66c989373386b5a88249d866a84062"><td class="mdescLeft">&#160;</td><td class="mdescRight">The software-sub version number of the MCU firmware.  <br /></td></tr>
<tr class="separator:aae66c989373386b5a88249d866a84062"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40c5fcd8b4d299aee0482628c840a06" id="r_ab40c5fcd8b4d299aee0482628c840a06"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ab40c5fcd8b4d299aee0482628c840a06">smb</a></td></tr>
<tr class="memdesc:ab40c5fcd8b4d299aee0482628c840a06"><td class="mdescLeft">&#160;</td><td class="mdescRight">The software-build version number of the MCU firmware.  <br /></td></tr>
<tr class="separator:ab40c5fcd8b4d299aee0482628c840a06"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>VICO DevInfo1 structure used in <a class="el" href="a00002.html#aa99fc98d9f24eee8c14491e364ca0f99" title="Returns VICO MCU firmware version.">devInfo1VICO()</a>. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="ab40c5fcd8b4d299aee0482628c840a06" name="ab40c5fcd8b4d299aee0482628c840a06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab40c5fcd8b4d299aee0482628c840a06">&#9670;&#160;</a></span>smb</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a7387aac0178fcc6d6cb70a2625a63bc0">UInt16Type</a> smb</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The software-build version number of the MCU firmware. </p>

</div>
</div>
<a id="aa02034bb3372125510fa70ad29dd800a" name="aa02034bb3372125510fa70ad29dd800a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa02034bb3372125510fa70ad29dd800a">&#9670;&#160;</a></span>smi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a3af313c104055b0c5e56145e6ef2d14f">UInt8Type</a> smi</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The software-minor version number of the MCU firmware. </p>

</div>
</div>
<a id="aa59f05daae7915ec0af8e53a010b4a86" name="aa59f05daae7915ec0af8e53a010b4a86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa59f05daae7915ec0af8e53a010b4a86">&#9670;&#160;</a></span>smj</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a3af313c104055b0c5e56145e6ef2d14f">UInt8Type</a> smj</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The software-major version number of the MCU firmware. </p>

</div>
</div>
<a id="aae66c989373386b5a88249d866a84062" name="aae66c989373386b5a88249d866a84062"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae66c989373386b5a88249d866a84062">&#9670;&#160;</a></span>sms</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a3af313c104055b0c5e56145e6ef2d14f">UInt8Type</a> sms</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The software-sub version number of the MCU firmware. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00066.html">DevInfo1VICOType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
